Bug 470745 - pppd disconnects mobile-Connection
pppd disconnects mobile-Connection
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ppp (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Skala
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-09 18:14 EST by Matthias R. Wiora
Modified: 2014-11-09 17:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-19 04:12:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias R. Wiora 2008-11-09 18:14:33 EST
Description of problem:
The connections, established by wvdial will be canceled by pppd.

Version-Release number of selected component (if applicable):
2.4.4

Steps to Reproduce:
1. Fill out yor wvdial.conf
2. Try to establish a connection using wvdial
  
Actual results:
The Output of running "wvdial":
# setpin
OK - PIN accepted
# wvdial
--> WvDial: Internet dialer version 1.60
--> Cannot get information for serial port.
--> Initializing modem.
--> Sending: ATZe1
ATZe1
OK
--> Sending: at+cgdcont=1,"IP","web.vodafone.de"
at+cgdcont=1,"IP","web.vodafone.de"
OK
--> Modem initialized.
--> Idle Seconds = 3000, disabling automatic reconnect.
--> Sending: ATDT*99***1#
--> Waiting for carrier.
ATDT*99***1#
CONNECT HSDPA 3.6
--> Carrier detected.  Starting PPP immediately.
--> Starting pppd at Wed Nov  5 11:24:34 2008
--> Pid of pppd: 19580
--> Using interface ppp0
--> pppd: 1
--> pppd: 1
--> pppd: 1
--> pppd: 1
--> pppd: 1
--> pppd: 1
--> Disconnecting at Wed Nov  5 11:24:35 2008
--> The PPP daemon has died: A modem hung up the phone (exit code = 16)
--> man pppd explains pppd error codes in more detail.
--> Try again and look into /var/log/messages and the wvdial and pppd man pages for more information.

Expected results:
Established Connection


Additional info:
Content of wvdial.conf:
[Dialer Defaults]
Modem = /dev/ttyUSB0
Baud = 460800
#Init2 = ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
Init1 = ATZe1
Init2 = at+cgdcont=1,"IP","web.vodafone.de"
#Init3 = at+cgqreq=1,2,4,3,9,31
Area Code =
Phone = *99***1#
Username = VFD2
Password = WAP
Ask Password = 0
Dial Command = ATDT
Stupid Mode = 1
Compuserve = 0
Force Address =
Idle Seconds = 3000
DialMessage1 =
DialMessage2 =
ISDN = 0
Auto DNS = 1

# tail --lines 10 /var/log/messages
Nov  5 11:24:34 freechip kernel: PPP generic driver version 2.4.2
Nov  5 11:24:34 freechip pppd[19580]: pppd 2.4.4 started by root, uid 0
Nov  5 11:24:35 freechip pppd[19580]: Using interface ppp0
Nov  5 11:24:35 freechip pppd[19580]: Connect: ppp0 <--> /dev/ttyUSB0
Nov  5 11:24:35 freechip pppd[19580]: CHAP authentication succeeded
Nov  5 11:24:35 freechip pppd[19580]: CHAP authentication succeeded
Nov  5 11:24:35 freechip kernel: PPP Deflate Compression module registered
Nov  5 11:24:35 freechip pppd[19580]: Modem hangup
Nov  5 11:24:35 freechip pppd[19580]: Connection terminated.
Nov  5 11:24:35 freechip pppd[19580]: Exit.
Comment 1 Matthias R. Wiora 2008-11-10 10:12:51 EST
Hello,

This is my hardware:
# lsusb | grep Mobile
Bus 004 Device 002: ID 413c:8137 Dell Computer Corp. Wireless 5520 Voda L Mobile Broadband (3G HSDPA) Minicard Status Port

I get an new configuration from http://forums.fedoraforum.org/showthread.php?p=1108698&posted=1#post1108698

What about this failure:
$ su
Password: 
[root@freechip counterroot]# vi /etc/wvdial.conf 
[root@freechip counterroot]# setpin
OK - PIN accepted
[root@freechip counterroot]# wvdial Setup
--> WvDial: Internet dialer version 1.60
--> Cannot get information for serial port.
--> Initializing modem.
--> Sending: AT+CFUN=1
AT+CFUN=1
OK
--> Modem initialized.
--> Configuration does not specify a valid phone number.
--> Configuration does not specify a valid login name.
--> Configuration does not specify a valid password.
[root@freechip counterroot]# wvdial Status
--> WvDial: Internet dialer version 1.60
--> Cannot get information for serial port.
--> Initializing modem.
--> Sending: AT+COPS?;+CSQ
AT+COPS?;+CSQ
+COPS: 0,0,"Vodafone.de",2
+CSQ: 19,99
OK
--> Modem initialized.
--> Configuration does not specify a valid phone number.
--> Configuration does not specify a valid login name.
--> Configuration does not specify a valid password.
[root@freechip counterroot]# wvdial GPRS
--> WvDial: Internet dialer version 1.60
--> Cannot get information for serial port.
--> Initializing modem.
--> Sending: AT+CGDCONT=1,"IP","web.vodafone.de"
AT+CGDCONT=1,"IP","web.vodafone.de"
OK
--> Modem initialized.
--> Sending: ATD*99***1#
--> Waiting for carrier.
ATD*99***1#
CONNECT HSDPA 3.6
--> Carrier detected.  Waiting for prompt.
--> Don't know what to do!  Starting pppd and hoping for the best.
--> Starting pppd at Mon Nov 10 15:50:27 2008
--> Pid of pppd: 4173
--> Using interface ppp0
--> pppd: p�[16]
--> pppd: p�[16]
--> pppd: p�[16]
--> pppd: p�[16]
--> pppd: p�[16]
--> pppd: p�[16]
--> Disconnecting at Mon Nov 10 15:50:28 2008
--> The PPP daemon has died: A modem hung up the phone (exit code = 16)
--> man pppd explains pppd error codes in more detail.
--> Try again and look into /var/log/messages and the wvdial and pppd man pages 
for more information.
--> Auto Reconnect will be attempted in 5 seconds
--> Cannot get information for serial port.
--> Initializing modem.
--> Sending: AT+CGDCONT=1,"IP","web.vodafone.de"
AT+CGDCONT=1,"IP","web.vodafone.de"
OK
--> Modem initialized.
--> Cannot get information for serial port.
--> Initializing modem.
--> Sending: AT+CGDCONT=1,"IP","web.vodafone.de"
AT+CGDCONT=1,"IP","web.vodafone.de"
OK
--> Modem initialized.
--> Sending: ATD*99***1#
--> Waiting for carrier.
ATD*99***1#
CONNECT HSDPA 3.6
--> Carrier detected.  Waiting for prompt.
^CCaught signal 2:  Attempting to exit gracefully...
--> Disconnecting at Mon Nov 10 15:50:59 2008
Comment 2 Matthias R. Wiora 2008-11-19 04:12:47 EST
Hello all over there...
Simple Solution... The SIM-Card has been expired. -.-*
Another SIM-Card works right now.
goofy accident, that the card has expired when I changed to Fedora 10_64bit

Note You need to log in before you can comment on or make changes to this bug.